[vlc-commits] apple: build: build gas-preprocessor for armv7
Alexandre Janniaux
git at videolan.org
Sun May 3 01:05:22 CEST 2020
vlc | branch: master | Alexandre Janniaux <ajanni at videolabs.io> | Wed Apr 29 18:25:44 2020 +0200| [6ec0aadc3afc04930400d0386998f8e7619349d3] | committer: Alexandre Janniaux
apple: build: build gas-preprocessor for armv7
ffmpeg doesn't build without gas-preprocessor on armv7 for iOS.
This is a workaround to have the CI running on this platform but it
should eventually go as gas-preprocessor shouldn't be needed anymore.
> http://git.videolan.org/gitweb.cgi/vlc.git/?a=commit;h=6ec0aadc3afc04930400d0386998f8e7619349d3
---
extras/package/apple/build.sh | 5 ++++-
1 file changed, 4 insertions(+), 1 deletion(-)
diff --git a/extras/package/apple/build.sh b/extras/package/apple/build.sh
index 35c7b87293..8b9e69cfc9 100755
--- a/extras/package/apple/build.sh
+++ b/extras/package/apple/build.sh
@@ -542,7 +542,10 @@ echo "Building needed tools (if missing)"
cd "$VLC_SRC_DIR/extras/tools" || abort_err "Failed cd to tools dir"
./bootstrap || abort_err "Bootstrapping tools failed"
$MAKE -j$VLC_USE_NUMBER_OF_CORES || abort_err "Building tools failed"
-
+if [ $VLC_HOST_ARCH = "armv7" ]; then
+$MAKE -j$VLC_USE_NUMBER_OF_CORES .buildgas \
+ || abort_err "Building gas-preprocessor tool failed"
+fi
echo ""
##########################################################
More information about the vlc-commits
mailing list